<?xml version="1.0" encoding="UTF-8"?><rss version="2.0"
	xmlns:content="http://purl.org/rss/1.0/modules/content/"
	xmlns:wfw="http://wellformedweb.org/CommentAPI/"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:atom="http://www.w3.org/2005/Atom"
	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
	xmlns:slash="http://purl.org/rss/1.0/modules/slash/"
	>

<channel>
	<title>flatpak &#8211; GUADEC 2016</title>
	<atom:link href="https://2016.guadec.org/tag/flatpak/feed/" rel="self" type="application/rss+xml" />
	<link>https://2016.guadec.org</link>
	<description>The GNOME Conference</description>
	<lastBuildDate>Thu, 06 Oct 2016 13:17:30 +0000</lastBuildDate>
	<language>en-US</language>
	<sy:updatePeriod>hourly</sy:updatePeriod>
	<sy:updateFrequency>1</sy:updateFrequency>
	<generator>https://wordpress.org/?v=4.7</generator>
	<item>
		<title>Announcing the Flatpak workshop</title>
		<link>https://2016.guadec.org/2016/06/01/announcing-the-flatpak-workshop/</link>
		<pubDate>Wed, 01 Jun 2016 14:29:20 +0000</pubDate>
		<dc:creator><![CDATA[muelli]]></dc:creator>
				<category><![CDATA[News]]></category>
		<category><![CDATA[flatpak]]></category>
		<category><![CDATA[guadec]]></category>
		<category><![CDATA[news]]></category>
		<category><![CDATA[workshop]]></category>

		<guid isPermaLink="false">https://2016.guadec.org/?p=1023</guid>
		<description><![CDATA[At this year&#8217;s GUADEC we plan to have great workshops. One of them will be Packaging your application using Flatpak by David King and Alexander Larsson. Alex was kind enough to answer a few questions for us. Alex, since when are you thinking of Flatpak, formerly known as xdg-app? The first commit to xdg-app was &#8230;]]></description>
				<content:encoded><![CDATA[<p>At <a href="http://2016.guadec.org/">this year&#8217;s GUADEC</a> we plan to have great <a href="https://2016.guadec.org/workshops/">workshops</a>. One of them will be <a href="https://2016.guadec.org/workshops/flatpak/">Packaging your application using Flatpak</a> by David King and Alexander Larsson.  Alex was kind enough to answer a few questions for us.</p>
<p><img src="https://2016.guadec.org/wp-content/uploads/2016/05/alex.png" alt="alex" width="400" height="585" class="alignleft size-full wp-image-1026" /></p>
<p><b>Alex, since when are you thinking of Flatpak, formerly known as xdg-app?</b></p>
<p>The first commit to xdg-app was in December 2014, however I have been interested in the areas of app bundling and sandboxing for much longer. </p>
<p>My first work in this area was an experiment called &#8220;<a href="https://blogs.gnome.org/alexl/2007/08/21/glick-01-released/">Glick&#8221;</a> which was announced in 2007, and after that I&#8217;ve released two other experiments in the same area, but with different approaches (called &#8220;<a href="https://people.gnome.org/~alexl/glick2/">Glick 2</a>&#8221; and &#8220;<a href="https://github.com/alexlarsson/bundler">bundler</a>&#8220;). I&#8217;ve also done a lot of work in the Docker core engine in areas related to sandboxing and filesystem access.</p>
<p><b>Containerisation is all the rage right now. How does Flatpak relate    to technologies like docker or rkt?</b></p>
<p>In some sense they are very similar, because they all use the same kernel-level features (cgroups, namespaces, etc), and they all work by isolating the application from things on the host system.</p>
<p>However, they run in very different contexts. Containers are typically network services of some kind, and are launched as isolated system-level services. So, they have pretty simple interactions with the outside word (a network port generally) and we can assume root rights during the setup as well as the existence of some kind of administrator. </p>
<p>A desktop application instead needs to run completely unprivileged in an ad-hoc fashion, without an administrator. They are also running in a very complex environment (a graphical login session) which they have to interact with in a deep fashion (show graphics, play sounds, use webcams, access user files, show up with icons in the desktop, etc).</p>
<p>Also, the scope of Flatpak is larger than just the sandboxing. We want to have a nice story when it comes to things like graphical app stores, long-term ABI stability, and security updates. </p>
<p><b>How long do you think will it take for Flatpak to become the main method of distributing applications to users?</b></p>
<p>First I would like to mention that I don&#8217;t think Flatpak will replace distributions. In fact, Flatpak relies on the existence of a &#8220;host&#8221; operating system that runs the core of the operating system, including things like system services, enabling hardware, and the graphical shell. Don&#8217;t ever expect Flatpak to replace these for packaging the core applications of a Linux distribution.</p>
<p>Where Flatpak shines instead is delivering all the other applications out there in the free software world. My hope is that upstream developers will use Flatpak as a chance to deliver their applications directly to their end users, thus getting a much faster release/feedback cycle.</p>
<p>Its very hard to estimate how long it will take for this to become popular, but I hope that by next GUADEC we&#8217;ll have a large base of applications available as Flatpaks.</p>
<p><b>Can you give us a glimpse into what the participant will actually do     in the workshop?</b></p>
<p>Everyone will bring an application to the workshop. Then they will learn how to package and distribute it using Flatpak. With our help they will create a Flatpak build of the app that they can bring home. </p>
<p><b>How would you describe the ideal participant of your workshop?</b></p>
<p>An ideal participant would be a maintainer of an application that wants to be able to reach his users directly. He/she doesn&#8217;t necessarily know much about Flatpak, but have some general experience with building applications on Linux.</p>
<p><b>What do you think what makes a GUADEC a GUADEC?</b></p>
<p>GUADEC is all about the people. The talks are interesting, but ultimately GUADEC is about meeting in real life people that you normally only interact with on the net. Its a great way to build up energy and enthusiasm that you can then bring home and apply to your work. </p>
<p>So, go to talks and workshop that seem interesting, but make sure you also talk to a lot of people. If some project interests you, find the people involved and walk up to them. We&#8217;re all nice people and love talking about the stuff we do with anyone.</p>
<p><b>Thanks a million for your time! We&#8217;re looking forward to seeing you at GUADEC!</b></p>
<hr />
&#8212;</p>
<p>If you want to attend this great workshop, keep watching for news here. We&#8217;ll be announcing the opening of the registration facilities soon and then you can register for this workshop.</p>
]]></content:encoded>
			</item>
	</channel>
</rss>
